> For the complete documentation index, see [llms.txt](https://docs.exoclick.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.exoclick.com/api/exoclick-public-api/api-manual-interface.md).

# API Interface

The [API Interface](https://api.exoclick.com/v2/docs/) is a representation of the ExoClick API designed to detail available requests, their associated parameters and their expected responses. You can view it from the Admin Panel.

All API requests are listed under their associated group.

In order to access restricted API requests, there must be a Session Token set. To set a token, you must have a valid account with the required username and password or an API token. Click on the **Login** button on the top right of the screen and enter your username and password or provide an API token. After you click the **Login** button, a login request will be made to the API to retrieve a valid Session token. This token will then be used to validate all API requests you wish to make in that session.

To make a request to the API, click on a group. The group will expand to list the requests available. Click again on the desired request. A panel will expand detailing the request details.

* The **Response body**, if any, will be displayed first alongside the response **Content-type**.
* The **Request parameters**, required and/or optional, are detailed next, along with the request **Content-type**, if required.
* Expected **Response Messages** are then listed out.
* To make the request, fill in the required parameters. If the request body is detailed, clicking on the body in the **Model** window will pre-populate the parameter window with the body.
* Once all required parameters have been set, clicking on the **Try it Out** button will execute the request.
* Four panels will appear below the button:
  * The first displays the full **Request URL**.
  * The second details the **Response Body**.
  * The third details the **Response Code**.
  * The fourth details the **Response Headers**.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.exoclick.com/api/exoclick-public-api/api-manual-interface.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
